package com.sun.xml.internal.bind.v2.runtime;

import javax.xml.stream.XMLStreamException;
import java.io.IOException;
import javax.xml.bind.helpers.ValidationEventImpl;
import com.sun.xml.internal.bind.v2.runtime.unmarshaller.Loader;
import org.xml.sax.SAXException;
import java.lang.reflect.InvocationTargetException;
import com.sun.xml.internal.bind.v2.runtime.unmarshaller.UnmarshallingContext;
import com.sun.xml.internal.bind.api.CompositeStructure;

public class CompositeStructureBeanInfo extends JaxBeanInfo<CompositeStructure>
{
    public CompositeStructureBeanInfo(JAXBContextImpl context) {
        super(context, null, CompositeStructure.class, false, true, false);
    }
    
    @Override
    public String getElementNamespaceURI(CompositeStructure o) {
        throw new UnsupportedOperationException();
    }
    
    @Override
    public String getElementLocalName(CompositeStructure o) {
        throw new UnsupportedOperationException();
    }
    
    @Override
    public CompositeStructure createInstance(UnmarshallingContext context) throws IllegalAccessException, InvocationTargetException, InstantiationException, SAXException {
        throw new UnsupportedOperationException();
    }
    
    @Override
    public boolean reset(CompositeStructure o, UnmarshallingContext context) throws SAXException {
        throw new UnsupportedOperationException();
    }
    
    @Override
    public String getId(CompositeStructure o, XMLSerializer target) throws SAXException {
        return null;
    }
    
    @Override
    public Loader getLoader(JAXBContextImpl context, boolean typeSubstitutionCapable) {
        throw new UnsupportedOperationException();
    }
    
    @Override
    public void serializeRoot(CompositeStructure o, XMLSerializer target) throws SAXException, IOException, XMLStreamException {
        target.reportError(new ValidationEventImpl(1, Messages.UNABLE_TO_MARSHAL_NON_ELEMENT.format(new Object[] { o.getClass().getName() }), null, null));
    }
    
    @Override
    public void serializeURIs(CompositeStructure o, XMLSerializer target) throws SAXException {
    }
    
    @Override
    public void serializeAttributes(CompositeStructure o, XMLSerializer target) throws SAXException, IOException, XMLStreamException {
    }
    
    @Override
    public void serializeBody(CompositeStructure o, XMLSerializer target) throws SAXException, IOException, XMLStreamException {
        for (int len = o.bridges.length, i = 0; i < len; ++i) {
            Object value = o.values[i];
            InternalBridge<Object> bi = (InternalBridge)o.bridges[i];
            bi.marshal(value, target);
        }
    }
    
    @Override
    public Transducer<CompositeStructure> getTransducer() {
        return null;
    }
}
